#2825 closed enhancement (fixed)

Improve the fatal error handling chapter of the user manual

Reported by: Sebastian Huber Owned by:
Priority: normal Milestone: 5.1
Component: doc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

At least replace the "Document me" markers with something useful.

Change History (15)

comment:1 Changed on Nov 23, 2016 at 11:55:15 AM by Sebastian Huber <sebastian.huber@…>

In bee032327997cb9f00d75e816ea93c7e1942a510/rtems:

score: Uncomment unused internal error codes

Update #2825.

comment:2 Changed on Nov 23, 2016 at 12:44:34 PM by Sebastian Huber <sebastian.huber@…>

In 73f9c2c27ba6a22f8bc3ccef9298c951c3728741/rtems:

smptests/smpfatal03: Use timer to provoke error

Avoid use of internal _Thread_Dispatch_disable() function.

Update #2825.

comment:3 Changed on Nov 23, 2016 at 12:44:56 PM by Sebastian Huber <sebastian.huber@…>

In f6edd8807991f1da8e538c6fbadf1d0c99e76326/rtems:

score: Explicitly define the fatal source numbers

Update #2825.

comment:4 Changed on Dec 12, 2016 at 7:04:49 AM by Sebastian Huber <sebastian.huber@…>

In b6606e8d9911d1487dbf8338447e7560d09ff48c/rtems:

score: Remove fatal is internal indicator

The fatal is internal indicator is redundant since the fatal source and
error code uniquely identify a fatal error. Keep the fatal user
extension is internal parameter for backward compatibility and set it to
false always.

Update #2825.

comment:5 Changed on Dec 12, 2016 at 7:04:59 AM by Sebastian Huber <sebastian.huber@…>

In 6a9282d9bb7dd6d7665adb858161edf4e1d0778a/rtems:

Rename is_internal to always_set_to_false

Update #2825.

comment:6 Changed on Dec 12, 2016 at 7:05:09 AM by Sebastian Huber <sebastian.huber@…>

In 279d5260c3660e230189ea7d6b45ddf60523b2fe/rtems:

Add INTERNAL_ERROR_RTEMS_INIT_TASK_CREATE_FAILED

Update #2825.

comment:7 Changed on Dec 12, 2016 at 7:05:19 AM by Sebastian Huber <sebastian.huber@…>

In 0a81a58254f993652822dddba7b73cc7ac439dad/rtems:

Add INTERNAL_ERROR_POSIX_INIT_THREAD_CREATE_FAILED

Update #2825.

comment:8 Changed on Dec 12, 2016 at 7:05:38 AM by Sebastian Huber <sebastian.huber@…>

In 825296881297025df2f22e2e4e6f2be1d4f0ea61/rtems:

INTERNAL_ERROR_LIBIO_USER_ENV_KEY_CREATE_FAILED

Update #2825.

comment:9 Changed on Dec 12, 2016 at 7:05:48 AM by Sebastian Huber <sebastian.huber@…>

In 9622f7796f782a03d0c18261e21d0353880960cf/rtems:

Add INTERNAL_ERROR_LIBIO_SEM_CREATE_FAILED

Update #2825.

comment:10 Changed on Dec 12, 2016 at 7:06:07 AM by Sebastian Huber <sebastian.huber@…>

In a5ba08eb4f20591e8c36a12ae4a30c13f8be5c56/rtems:

Add INTERNAL_ERROR_LIBIO_STDOUT_FD_OPEN_FAILED

Update #2825.

comment:11 Changed on Dec 12, 2016 at 7:06:16 AM by Sebastian Huber <sebastian.huber@…>

In e203b65e516c8201360f018a3f029185cd10cba6/rtems:

Add INTERNAL_ERROR_LIBIO_STDERR_FD_OPEN_FAILED

Update #2825.

comment:12 Changed on Dec 12, 2016 at 7:08:35 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Should be sufficiently good for now.

comment:13 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:14 Changed on Oct 10, 2017 at 6:06:29 AM by Sebastian Huber

Component: Documentationdoc

comment:15 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.